<?php
include "../../inc/inc.koneksi.php";
session_start();

$table	="aktiva";

$kodebb 	= $_POST[kodebb];
$kodeak		= $_POST[kodeak];
$namaak		= $_POST[namaak];
$hargabl	= $_POST[hargabl];
$tanggalbl	= $_POST[tanggalbl];
$umurek		= $_POST[umurek];
$nilaires 	= $_POST[nilaires];
$user		= $_SESSION[namauser];
$tanggal	= date("Y-m-d");
$tahun		= substr($tanggal,0,4);

$sql1 	= mysql_query("SELECT * FROM interface WHERE 1 ");
$r1		= mysql_fetch_assoc($sql1);
$labdit	= $r1[laba_dit];

$sql 	= mysql_query("SELECT * FROM $table WHERE kodeak= '$kodeak'");
$row	= mysql_num_rows($sql);
if($row>0){
	mysql_query("UPDATE $table SET namaak='$namaak',tanggal_bl='$tanggalbl',harga_bl='$hargabl',umur_ek='$umurek',nilai_res='$nilaires',lastupdate=now() WHERE kodeak= '$kodeak'");
	echo "Data sukses diubah.";
}
else{
	$nobbdep	= substr($kodebb,0,2).'2'.substr($kodebb,3,2);
	$akundep	= $nobbdep.substr($kodeak,5,4);
	mysql_query("INSERT INTO $table (kodeak,namaak,kodebb,tanggal_bl,harga_bl,umur_ek,nilai_res) VALUES('$kodeak','$namaak','$kodebb','$tanggalbl','$hargabl','$umurek','$nilaires')");
	mysql_query("INSERT INTO akun_bp (noakun,naakun,nobb,kode,tahun) VALUES('$akundep','$namaak','$nobbdep','D','$tahun')");
	echo "Data sukses disimpan";
}	
?>
